#
# Conditional build:
%bcond_with	tests		# test suite

%define		kdeappsver	25.04.3
%define		kfver		5.53.0
%define		qtver		5.15.2
%define		kaname		akonadi
Summary:	Akonadi - The PIM Storage Service
Summary(pl.UTF-8):	Akonadi - usługa przechowywania danych PIM
Name:		ka6-%{kaname}
Version:	25.04.3
Release:	2
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	619b9bbdec1b51189629f7f52281eef2
URL:		https://kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	Qt6DBus-devel >= %{qtver}
BuildRequires:	Qt6Designer-devel >= %{qtver}
BuildRequires:	Qt6Gui-devel >= 5.11.1
BuildRequires:	Qt6Network-devel >= %{qtver}
BuildRequires:	Qt6Sql-devel >= %{qtver}
BuildRequires:	Qt6Test-devel >= %{qtver}
BuildRequires:	Qt6UiTools-devel >= %{qtver}
BuildRequires:	Qt6Widgets-devel >= %{qtver}
BuildRequires:	Qt6Xml-devel >= %{qtver}
BuildRequires:	boost-devel >= 1.34.0
BuildRequires:	cmake >= 3.20
BuildRequires:	gettext-devel
BuildRequires:	ka6-kaccounts-integration-devel >= %{kdeappsver}
BuildRequires:	kf6-extra-cmake-modules >= %{kfver}
BuildRequires:	kf6-kcompletion-devel >= %{kfver}
BuildRequires:	kf6-kconfig-devel >= %{kfver}
BuildRequires:	kf6-kconfigwidgets-devel >= %{kfver}
BuildRequires:	kf6-kcoreaddons-devel >= %{kfver}
BuildRequires:	kf6-kcrash-devel >= %{kfver}
BuildRequires:	kf6-kdbusaddons-devel >= %{kfver}
BuildRequires:	kf6-ki18n-devel >= %{kfver}
BuildRequires:	kf6-kiconthemes-devel >= %{kfver}
BuildRequires:	kf6-kio-devel >= %{kfver}
BuildRequires:	kf6-kitemmodels-devel >= %{kfver}
BuildRequires:	kf6-kitemviews-devel >= %{kfver}
BuildRequires:	kf6-kwidgetsaddons-devel >= %{kfver}
BuildRequires:	kf6-kwindowsystem-devel >= %{kfver}
BuildRequires:	kf6-kxmlgui-devel >= %{kfver}
BuildRequires:	libaccounts-qt6-devel >= 1.16
BuildRequires:	ninja
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Conflicts:	akonadi-libs >= 1.0.0
Obsoletes:	ka5-akonadi < 24
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Akonadi is a personal information management (PIM) framework for KDE
Akonadi will function as an extensible data storage for all PIM
applications.

Besides data storage, Akonadi has several other components including
search, and a library (cache) for easy access and notification of data
changes.

%description -l pl.UTF-8
Akonadi jest szkieletem zarządzania informacjami osobistymi (PIM) dla
KDE. Będzie on funkcjonował jako rozszerzalny magazyn danych dla
wszystkich aplikacji PIM.

Oprócz magazynu danych, Akonadi ma wiele innych komponentów, między
innymi przeszukiwanie i bibliotekę (buforowanie) dla łatwego dostępu i
powiadomieniach o zmianach danych.

%package devel
Summary:	Header files for %{kaname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kaname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	ka5-akonadi-devel < 24

%description devel
Header files for %{kaname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kaname}.

%package apparmor
Summary:	Files for apparmor
Summary(pl.UTF-8):	Pliki dla apparmor
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description apparmor
Files for apparmor.

%description apparmor -l pl.UTF-8
Pliki dla apparmor.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON

%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

#install -d $RPM_BUILD_ROOT%{_libdir}/qt6/plugins/pim5/kontact
#install -d $RPM_BUILD_ROOT%{_libdir}/qt6/plugins/pim5/kcms

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/akonadi2xml
%attr(755,root,root) %{_bindir}/akonadi_agent_launcher
%attr(755,root,root) %{_bindir}/akonadi_agent_server
%attr(755,root,root) %{_bindir}/akonadi_control
%attr(755,root,root) %{_bindir}/akonadi_knut_resource
%attr(755,root,root) %{_bindir}/akonadi_rds
%attr(755,root,root) %{_bindir}/akonadictl
%attr(755,root,root) %{_bindir}/akonadiselftest
%attr(755,root,root) %{_bindir}/akonadiserver
%attr(755,root,root) %{_bindir}/akonaditest
%attr(755,root,root) %{_bindir}/asapcat
%attr(755,root,root) %{_bindir}/akonadi-db-migrator
%attr(755,root,root) %{_libdir}/libKPim6AkonadiAgentBase.so.*.*.*
%ghost %{_libdir}/libKPim6AkonadiAgentBase.so.6
%attr(755,root,root) %{_libdir}/libKPim6AkonadiCore.so.*.*.*
%ghost %{_libdir}/libKPim6AkonadiCore.so.6
%attr(755,root,root) %{_libdir}/libKPim6AkonadiPrivate.so.*.*.*
%ghost %{_libdir}/libKPim6AkonadiPrivate.so.6
%attr(755,root,root) %{_libdir}/libKPim6AkonadiWidgets.so.*.*.*
%ghost %{_libdir}/libKPim6AkonadiWidgets.so.6
%attr(755,root,root) %{_libdir}/libKPim6AkonadiXml.so.*.*.*
%ghost %{_libdir}/libKPim6AkonadiXml.so.6
%attr(755,root,root) %{_libdir}/qt6/plugins/designer/akonadi6widgets.so
%dir %{_libdir}/qt6/plugins/pim6
%dir %{_libdir}/qt6/plugins/pim6/akonadi
%attr(755,root,root) %{_libdir}/qt6/plugins/pim6/akonadi/akonadi_test_searchplugin.so
%dir /etc/xdg/akonadi
/etc/xdg/akonadi/mysql-global-mobile.conf
/etc/xdg/akonadi/mysql-global.conf
%dir %{_datadir}/akonadi
%dir %{_datadir}/akonadi/agents
%{_datadir}/akonadi/agents/knutresource.desktop
%{_datadir}/config.kcfg/resourcebase.kcfg
%{_datadir}/dbus-1/interfaces/org.freedesktop.Akonadi.*.xml
%{_datadir}/dbus-1/services/org.freedesktop.Akonadi.Control.service
%dir %{_datadir}/kf6/akonadi
%{_datadir}/kf6/akonadi/akonadi-xml.xsd
%{_datadir}/kf6/akonadi/kcfg2dbus.xsl
%dir %{_datadir}/kf6/akonadi_knut_resource
%{_datadir}/kf6/akonadi_knut_resource/knut-template.xml
%{_datadir}/mime/packages/akonadi-mime.xml
%{_datadir}/qlogging-categories6/akonadi.categories
%{_datadir}/qlogging-categories6/akonadi.renamecategories
%{_iconsdir}/hicolor/128x128/apps/akonadi.png
%{_iconsdir}/hicolor/16x16/apps/akonadi.png
%{_iconsdir}/hicolor/22x22/apps/akonadi.png
%{_iconsdir}/hicolor/256x256/apps/akonadi.png
%{_iconsdir}/hicolor/32x32/apps/akonadi.png
%{_iconsdir}/hicolor/48x48/apps/akonadi.png
%{_iconsdir}/hicolor/64x64/apps/akonadi.png
%{_iconsdir}/hicolor/scalable/apps/akonadi.svgz

# TODO subpackage
%{_datadir}/kdevappwizard/templates/akonadiresource.tar.bz2
%{_datadir}/kdevappwizard/templates/akonadiserializer.tar.bz2

%files devel
%defattr(644,root,root,755)
%{_libdir}/libKPim6AkonadiAgentBase.so
%{_libdir}/libKPim6AkonadiCore.so
%{_libdir}/libKPim6AkonadiPrivate.so
%{_libdir}/libKPim6AkonadiWidgets.so
%{_libdir}/libKPim6AkonadiXml.so
%dir %{_includedir}/KPim6
%{_includedir}/KPim6/Akonadi
%{_includedir}/KPim6/AkonadiAgentBase
%{_includedir}/KPim6/AkonadiCore
%{_includedir}/KPim6/AkonadiWidgets
%{_includedir}/KPim6/AkonadiXml
%{_libdir}/cmake/KPim6Akonadi

%files apparmor
%defattr(644,root,root,755)
/etc/apparmor.d/mariadbd_akonadi
/etc/apparmor.d/mysqld_akonadi
/etc/apparmor.d/postgresql_akonadi
/etc/apparmor.d/usr.bin.akonadiserver
%changelog
* Tue Jul 15 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka6-akonadi.git;a=log;h=master

* Tue Jul 15 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 9c3bb19
- Release 2 (by relup.sh)

* Thu Jul 03 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 75fec99
- updated to 25.04.3

* Thu Jun 05 2025 Witold Filipczyk <witekfl@poczta.onet.pl> a591312
- updated to 25.04.2

* Thu May 08 2025 Witold Filipczyk <witekfl@poczta.onet.pl> b0907b6
- updated to 25.04.1

* Thu Apr 17 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 23bbffd
- updated to 25.04.0

* Fri Mar 07 2025 Witold Filipczyk <witekfl@poczta.onet.pl> a0ff791
- updated to 24.12.3

* Sat Feb 08 2025 Witold Filipczyk <witekfl@poczta.onet.pl> b75c38a
- updated to 24.12.2

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> e7471a6
- updated to 24.12.1

* Thu Dec 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 81ff171
- updated to 24.12.0

* Thu Nov 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c941725
- updated to 24.08.3

* Fri Nov 01 2024 Jakub Bogusz <qboosh@pld-linux.org> 04a1107
- few missing dirs, release 2

* Fri Nov 01 2024 Jakub Bogusz <qboosh@pld-linux.org> df8760b
- remaining pl, cleanup

* Fri Nov 01 2024 Jakub Bogusz <qboosh@pld-linux.org> f4f62b0
- macros for ninja

* Mon Oct 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d774595
- dir

* Thu Oct 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 8913d47
- updated to 24.08.2

* Thu Sep 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> a9c1e36
- updated to 24.08.1

* Fri Aug 23 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 7da4b37
- updated to 24.08.0

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 0ac54ae
- updated to 24.05.2

* Fri Jun 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d9f709a
- updated to 24.05.1

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> e948f58
- updated to 24.05.0

